Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf
Class VariantTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.hpsf.HPSFException
                  org.apache.poi.hpsf.VariantTypeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  IllegalVariantTypeException, UnsupportedVariantTypeException

    public abstract class VariantTypeException

extends HPSFException

This exception is thrown if HPSF encounters a problem with a variant type. Concrete subclasses specifiy the problem further.

Author:
  Rainer Klute <klute@rainer-klute.de>
See Also:
  Serialized Form

Constructor Summary
`VariantTypeException(long variantType, java.lang.Object value, java.lang.String msg)` Constructor.

Method Summary
`java.lang.Object` | `getValue()` Returns the value who's variant type caused the problem.
`long` | `getVariantType()` Returns the offending variant type.

Methods inherited from class org.apache.poi.hpsf.HPSFException
`getReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VariantTypeException

    public VariantTypeException(long variantType,
                                java.lang.Object value,
                                java.lang.String msg)

  Constructor.

  Parameters:
    `variantType` - The variant type causing the problem
    `value` - The value who's variant type causes the problem
    `msg` - A message text describing the problem

Method Detail

### getVariantType

    public long getVariantType()

  Returns the offending variant type.

  Returns:
    the offending variant type.

### getValue

    public java.lang.Object getValue()

  Returns the value who's variant type caused the problem.

  Returns:
    the value who's variant type caused the problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD